<!DOCTYPE html>
<html>
<head>
    <!--
      If you are serving your web app in a path other than the root, change the
      href value below to reflect the base path you are serving from.

      The path provided below has to start and end with a slash "/" in order for
      it to work correctly.

      For more details:
      * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base

      This is a placeholder for base href that will be replaced by the value of
      the `--base-href` argument provided to `flutter build`.
    -->
    <base href="/">
    <!--<base href="/">-->
    <meta charset="UTF-8">
    <meta content="IE=Edge" http-equiv="X-UA-Compatible">
    <meta name="description" content="GG Guest Kiosk Apps">

    <!-- iOS meta tags & icons -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="myggguestkiosk">
    <link rel="apple-touch-icon" href="icons/Icon-192.png">

    <!-- Favicon -->
    <link rel="icon" type="image/png" href="favicon.png" />

    <title>myggguestkiosk</title>
    <link rel="manifest" href="manifest.json">
</head>
<body>
<!-- This script installs service_worker.js to provide PWA functionality to
   application. For more information, see:
   https://developers.google.com/web/fundamentals/primers/service-workers -->
<script src="main.dart.js" type="application/javascript"></script>
<script src="jsQR.min.js" type="application/javascript"></script>
<script>

    function closeWindow(){
            console.log("closeWindow");
            window.close();
            //self.close();
    }

    function _beginServiceWorkerUpdateFlow(registration) {
        //if (window.confirm("New version of the app is available. Refresh now?") && registration.waiting) {
             // let waiting Service Worker know it should become active
             //registration.waiting.postMessage("skipWaiting");
        //}
        // apply update
        registration.waiting.postMessage("skipWaiting");
        // auto refresh
        window.location.reload(true);
     }

     if ('serviceWorker' in navigator) {
          // Service workers are supported. Use them.
          window.addEventListener("load", function () {
              const swContainer = navigator.serviceWorker;
              // swContainer.getRegistration()
              swContainer.register("flutter_service_worker.js").then(
                  function (registration) {
                      if (registration.waiting) {
                        _beginServiceWorkerUpdateFlow(registration);
                      }

                      // detect Service Worker update available and wait for it to install
                      registration.addEventListener("updatefound", () => {
                          if (registration.installing) {
                              // wait until the new Service worker is actually installed
                              registration.installing.addEventListener("statechange",() => {
                                    if (registration.waiting) {
                                        // if there's an existing Service Worker, show the prompt
                                        if (navigator.serviceWorker.controller) {
                                            _beginServiceWorkerUpdateFlow(registration);
                                        }
                                        else {
                                            // otherwise it's the first install, there is nothing to do
                                            console.log("Service Worker initialized for the first time");
                                        }
                                    }
                              });
                          }
                      });

                      // detect controller change and refresh the page
                      let refreshing = false;
                      navigator.serviceWorker.addEventListener("controllerchange",() => {
                          if (!refreshing) {
                              window.location.reload(true);
                              refreshing = true;
                          }
                      });
                  },
                  function (err) {
                      // registration failed :(
                      console.log("ServiceWorker registration failed: ", err);
                  }
              );
          });
     }
  </script>
</body>
</html>
